%define debug_package %{nil}
Name:           ukui-wallpapers
Version:        20.04.3
Release:        1
Summary:        Wallpapers for UKUI desktop environment
License:        CC-BY-SA-3.0 
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

BuildRequires: meson
BuildRequires: ninja-build

%description
 The default UKUI wallpaper. Outstanding wallpapers selected
 from Ubuntu Kylin 20.04 Wallpaper Contest. These wallpapers
 are expected to show wonderful Chinese style.

%prep
%setup -q

%build
meson build --prefix=%{buildroot}/usr
ninja -C build

    
%install
rm -rf $RPM_BUILD_ROOT
ninja -C build install

cp warty-final-ubuntukylin.jpg %{buildroot}/usr/share//backgrounds
chmod 755 %{buildroot}/usr/share//backgrounds/warty-final-ubuntukylin.jpg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/copyright debian/changelog
%{_datadir}/backgrounds
%{_datadir}/ukui-background-properties
%{_datadir}/locale/*

%changelog
* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 20.04.3-1
- Init package for openEuler
